POST Search Product Sorting Rules
POST /sites/{site_id}/sorting_rule_search
Operation ID: Search Product Sorting Rules. Tags: sites. Security: oauth2_application.
Searches for product sorting rules.
The query attribute specifies a complex query that can be used to narrow down the search. These are the list of searchable attributes:
-
id - String
-
description - String
-
creation_date - date of creation
The output of the query can also be sorted. These are the list of sortable attributes:
-
id - String
-
description - String
-
creation_date - date of creation
This resource does not support expand options.
Parameters
site_id(path, string, required) The id of the site.
Minimum length: 1.rule_context(query, string) the optional context in which the sorting rule should be looked up, either "site", "global", or "any" (default)
Request body (required)
Media type: application/json, text/xml. Schema: search_request.
Responses
- default
Media type:
application/json, text/xml. Schema:sorting_rule_search_result.